equo upgrade showing error

If you are new to Linux or new to Sabayon Linux and just not sure where to post, here ya go. Post without fear of being told to RTFM :-)

Moderator: Moderators

Re: equo upgrade showing error

Postby lxnay » Fri Feb 15, 2013 18:31

Update the Source Package Manager, which is Portage
Image
Join us on IRC (chat.freenode.net #sabayon or WebChat)
Submit bugs to our Bug Tracker
Follow me on Twitter
Add me on Facebook
Add me on Google+
lxnay
Land Owner
 
Posts: 3595
Joined: Thu Oct 13, 2005 23:16
Location: Italy

Re: equo upgrade showing error

Postby lemon09 » Sun Feb 17, 2013 8:11

@ lxnay
And how to do that??? I mean any command for that???
lemon09
Baby Hen
 
Posts: 18
Joined: Thu Feb 14, 2013 10:00

Re: equo upgrade showing error

Postby wolfden » Sun Feb 17, 2013 8:16

equo install portage
wolfden
Sharecropper
 
Posts: 9051
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA

Re: equo upgrade showing error

Postby wintux » Tue Feb 19, 2013 0:41

Hi,
I've had the same problem as lemon09, installed portage, and I think it will end up successful...
I followed the instructions in http://wiki.sabayon.org/index.php?title%20...%20using_Equo too.

The command in this documentation
Code: Select all
# equo install entropy rigo equo  --relaxed

should be changed to
Code: Select all
# equo install entropy portage  --relaxed

because as I understood in http://wiki.sabayon.org/index.php?title=En:Entropy#About_Entropy entropy is the name of the package(ing system) containing the programs/tools equo and rigo (and the old sulfur)
and because without upgrading portage at first the great upgrade process can obviously fail. Is that right?
(I'm not Linux beginner but a bloody beginner with the Sabayon/Gentoo distributions and especially their packagers.)
Shall/can I change it?

I also have this question:
I didn't find the options --relaxed and --ask when typing
Code: Select all
equo --help
and it's not clear to me what's the exact effekt of --relaxed. Is it documented somewhere else? (Without --relaxed the packages entropy+rigo have about 270 dependencies that have to be updated,too, and with it only eleven. Why?)

Thanks in advance!

P.S.: Upgrade (699 packs) ended and was successful now! :D Thanks!
wintux
Baby Hen
 
Posts: 18
Joined: Mon Feb 18, 2013 22:16

Re: equo upgrade showing error

Postby Ryuno-Ki » Tue Feb 19, 2013 12:38

wintux wrote:I also have this question:
I didn't find the options --relaxed and --ask when typing
Code: Select all
equo --help
and it's not clear to me what's the exact effekt of --relaxed. Is it documented somewhere else?


Yes it is. Have a look here.
Also there a manpages for equo's subcommand. Try: man equo-install. (Not using a Sabayon box at the moment).
HP-Pavilion ◆ AMD Athlon™ 64 Processor 4000+ ◆ GeForce 6150SE nForce 430 ◆ 1 GiB RAM
German Wiki translator ◆ Want to contribute on the wiki? Ask the Bureaucrats!
Please, mark solved threads ◆ Posts unread and unansweredPackage requests ◆ Sabayon XI with MATE
Ryuno-Ki
Technological Hen
 
Posts: 437
Joined: Mon Feb 27, 2012 22:15
Location: Southern Germany

Re: equo upgrade showing error

Postby lemon09 » Tue Feb 19, 2013 14:46

@wintux
yes.That's it. I updated the portage package manager it worked well.
the --relasked option as far as I can make out from the man pages is that it does not consider the dependencies.
The --ask option asks for the user intervention whenever there is any need for changes to be made in the system.
You see I am still e newbie in this distro like you. So if I am wrong then somebody please correct me.
lemon09
Baby Hen
 
Posts: 18
Joined: Thu Feb 14, 2013 10:00

Re: equo upgrade showing error

Postby Ryuno-Ki » Tue Feb 19, 2013 23:18

Uhm, seems that the regarding Wiki article is outdated :-/
batvink, in case you read this post, may you update the article?
I'm too busy to do so at the moment :-/
HP-Pavilion ◆ AMD Athlon™ 64 Processor 4000+ ◆ GeForce 6150SE nForce 430 ◆ 1 GiB RAM
German Wiki translator ◆ Want to contribute on the wiki? Ask the Bureaucrats!
Please, mark solved threads ◆ Posts unread and unansweredPackage requests ◆ Sabayon XI with MATE
Ryuno-Ki
Technological Hen
 
Posts: 437
Joined: Mon Feb 27, 2012 22:15
Location: Southern Germany

Previous

Return to Beginners|Newbies Area

Who is online

Users browsing this forum: No registered users and 1 guest

cron